<?php 
$viewMode = 'list';
if(realos_show_as() == 'gallery'){
    $viewMode = 'gallery';
}
if(Params::getParam('ShowAs') == 'gallery') {
    $viewMode = 'gallery';
}
$size = explode('x', osc_thumbnail_dimensions()); ?>

<?php
if ($viewMode == 'list') { ?>
<div class="<?php osc_run_hook("highlight_class"); ?>listing <?php if(osc_is_home_page()) { echo 'col-md-6 col-xs-12'; } else { echo 'col-md-12 col-xs-12'; } ?> clearfix <?php echo $class; if(osc_item_is_premium()){ echo ' premium'; } ?>">
	<div class="item clearfix">
		<div class="picture">
    	<?php if( osc_images_enabled_at_items() ) { ?>
			<?php if(osc_count_item_resources()) { ?>
        <a class="listing-thumb" href="<?php echo osc_item_url() ; ?>" title="<?php echo osc_esc_html(osc_item_title()) ; ?>"><img src="<?php echo osc_resource_preview_url(); ?>" alt="<?php echo osc_esc_html(osc_item_title()); ?>" width="<?php echo $size[0]; ?>" height="<?php echo $size[1]; ?>"></a>
            <?php } else { ?>
                <a class="listing-thumb" href="<?php echo osc_item_url() ; ?>" title="<?php echo osc_esc_html(osc_item_title()) ; ?>"><img src="<?php echo osc_current_web_theme_url('images/no_photo.gif'); ?>" alt="<?php echo osc_esc_html(osc_item_title()) ; ?>" class="img-responsive"></a>
            <?php } ?>
        <?php } ?>
        </div><!-- /Picture -->
        <div class="content">
            <div class="item-attributes">
                <?php if(osc_item_is_premium()) { ?>
                <div class="premium-icon" data-toggle="tooltip" data-placement="bottom" title="<?php echo osc_esc_html(__('Premium','realos')) ; ?>"><i class="fa fa-diamond fa-lg"></i></div>
                <?php } ?>
    			<h3><a href="<?php echo osc_item_url() ; ?>" title="<?php echo osc_esc_html(osc_item_title()) ; ?>"><?php echo osc_item_title(); ?></a></h3>
                    <?php if (function_exists('realestate_item_detail') && osc_is_this_category('realestate_plugin', osc_item_category_id())) { $detail = ModelRealEstate::newInstance()->getAttributes( osc_item_id() ); 
                        if(@$detail['e_type'] != null) { ?>
    				<span class="offertype"> <?php if(@$detail['e_type'] == 'FOR RENT') { echo 'For Rent'; } else { echo 'For Sale'; } ?></span> / 
                    <?php }
                    } else { ?>
                    <span class="date"><?php echo osc_format_date(osc_item_pub_date()); ?></span> / 
                    <?php } ?>
                    <span class="category"><?php echo osc_item_category() ; ?></span> / 
                    <span class="location">
                    <?php if( osc_item_city()!='' ) {
                        echo osc_item_city();
                    } else if( osc_item_region()!='' ) { 
                        echo osc_item_region();
                    } else {
                        echo osc_item_country();
                    } ?></span>
				
				<div class="short-description hidden-xs">
                    <?php if(osc_is_search_page()) { ?>
                    <?php echo osc_highlight( osc_item_description() ,160) ; ?>
                    <?php } else { ?>
                    <?php echo osc_highlight( osc_item_description() ,60) ; ?>
                    <?php } ?>
                </div>
				
				<div class="price">
					<?php if( osc_price_enabled_at_items() ) { ?>
					<span class="item-price"><?php echo osc_format_price(osc_item_price()); ?></span>
					<?php } ?>
				</div>
			</div>

			<div class="property-attributes">
                <?php if(!$admin) { ?>
                <?php if (function_exists('realestate_item_detail') && osc_is_this_category('realestate_plugin', osc_item_category_id())) { 
                    $detail = ModelRealEstate::newInstance()->getAttributes( osc_item_id() ); ?>
                    <?php if(@$detail['i_plot_area'] != null) { ?>
                    <span class="area">
                        <i class="fa fa-arrows-alt" aria-hidden="true"></i>
                        <?php printf(__('%s m<sup>2</sup>'), @$detail['i_plot_area']); ?>
                    </span>
                    <?php } ?>
                    <?php if(@$detail['i_num_rooms'] != 0) { ?>
                    <span class="beds">
                        <i class="fa fa-bed" aria-hidden="true"></i>
                        <?php printf(__('%s Beds'), @$detail['i_num_rooms']); ?>
                    </span>
                    <?php } ?>
                    <?php if(@$detail['i_num_bathrooms'] != 0) { ?>
                    <span class="baths">
                        <i class="fa fa-bath" aria-hidden="true"></i>
                        <?php printf(__('%s Baths'), @$detail['i_num_bathrooms']); ?>
                    </span>
                    <?php } ?>
                    <?php if(@$detail['i_plot_area'] == null && @$detail['i_num_rooms'] == 0 && @$detail['i_num_bathrooms'] == 0) { ?>
                    <span class="user">
                        <i class="fa fa-user"></i>
                        <?php if( osc_item_user_id() != null ) { ?>
                        <a href="<?php echo osc_user_public_profile_url( osc_item_user_id() ); ?>" ><?php echo osc_item_contact_name(); ?></a>
                        <?php } else { ?>
                        <?php echo osc_item_contact_name(); ?>
                        <?php } ?>
                    </span>
                    <?php } else { ?>
                    <span class="user <?php if(osc_is_home_page()){ echo 'hidden'; }?>">
                        <i class="fa fa-user"></i>
                        <?php if( osc_item_user_id() != null ) { ?>
                        <a href="<?php echo osc_user_public_profile_url( osc_item_user_id() ); ?>" ><?php echo osc_item_contact_name(); ?></a>
                        <?php } else { ?>
                        <?php echo osc_item_contact_name(); ?>
                        <?php } ?>
                    </span>
                    <?php } ?>
                <?php } else { ?>
                    <span class="user">
                        <i class="fa fa-user"></i>
                        <?php if( osc_item_user_id() != null ) { ?>
                        <a href="<?php echo osc_user_public_profile_url( osc_item_user_id() ); ?>" ><?php echo osc_item_contact_name(); ?></a>
                        <?php } else { ?>
                        <?php echo osc_item_contact_name(); ?>
                        <?php } ?>
                    </span>
                <?php } ?>
                <?php } else { ?>
                    <?php //if(osc_item_is_inactive()) {?>
                    <span class="admin-active">
                        <i class="fa fa-check"></i>
                        <a href="<?php echo osc_item_activate_url();?>"><?php _e('Active', 'realos'); ?></a>
                    </span>
                    <?php //} ?>
                    <span class="admin-edit">
                        <i class="fa fa-edit"></i>
                        <a href="<?php echo osc_item_edit_url(); ?>"><?php _e('Edit', 'realos'); ?></a>
                    </span>
                    <span class="admin-delete">
                        <i class="fa fa-times"></i>
                        <a onclick="javascript:return confirm('<?php echo osc_esc_js(__('This action can not be undone. Are you sure you want to continue?', 'realos')); ?>')" href="<?php echo osc_item_delete_url();?>"><?php _e('Delete', 'realos'); ?></a>
                    </span>
                    <?php if(function_exists("republish_pro_link")) { ?>
                        <span>
                        <?php republish_pro_link(osc_item_id());?>
                        </span>
                    <?php } ?>
                <?php } ?>
            </div>
            
        </div> <!-- /Content -->
	</div>
</div>
<?php } else { ?>
<div class="<?php osc_run_hook("highlight_class"); ?>listing <?php if(osc_is_home_page()) { echo "col-md-3"; } else { echo "col-md-4"; } ?> col-sm-6 <?php echo $class; if(osc_item_is_premium()){ echo ' premium'; } ?>">
	<div class="item">
    	<div class="picture">
		<?php if( osc_images_enabled_at_items() ) { ?>
            <?php if(osc_count_item_resources()) { ?>
        <a class="listing-thumb" href="<?php echo osc_item_url() ; ?>" title="<?php echo osc_esc_html(osc_item_title()) ; ?>"><img src="<?php echo osc_resource_preview_url(); ?>" alt="<?php echo osc_esc_html(osc_item_title()) ; ?>" class="img-responsive" width="<?php echo $size[0]; ?>" height="<?php echo $size[1]; ?>"></a>
            <?php } else { ?>
                <a class="listing-thumb" href="<?php echo osc_item_url() ; ?>" title="<?php echo osc_esc_html(osc_item_title()) ; ?>"><img src="<?php echo osc_current_web_theme_url('images/no_photo.gif'); ?>" alt="<?php echo osc_esc_html(osc_item_title()) ; ?>" width="<?php echo $size[0]; ?>" height="<?php echo $size[1]; ?>"></a>
            <?php } ?>
        <?php } ?>
        </div><!-- /Picture -->
        <div class="content">
        	<div class="item-attributes">
                <?php if(osc_item_is_premium()) { ?>
                <div class="premium-icon" data-toggle="tooltip" data-placement="bottom" title="<?php echo osc_esc_html(__('Premium','realos')); ?>"><i class="fa fa-diamond fa-lg"></i></div>
                <?php } ?>
        		<h3><a href="<?php echo osc_item_url() ; ?>" title="<?php echo osc_esc_html(osc_item_title()) ; ?>"><?php echo osc_item_title(); ?></a></h3>
                        <?php if (function_exists('realestate_item_detail') && osc_is_this_category('realestate_plugin', osc_item_category_id())) { $detail = ModelRealEstate::newInstance()->getAttributes( osc_item_id() ); 
                            if(@$detail['e_type'] != null) { ?> 
                        <span class="offertype"> <?php if(@$detail['e_type'] == 'FOR RENT') { _e('For Rent','realos'); } else { _e('For Sale','realos'); } ?></span> / 
                        <?php }
                        } ?>
                        <span class="category"><?php echo osc_item_category() ; ?></span> /
                        <span class="location">
                        <?php if( osc_item_city()!='' ) {
                            echo osc_item_city();
                        } else if( osc_item_region()!='' ) { 
                            echo osc_item_region();
                        } else {
                            echo osc_item_country();
                        } ?></span>

	            <div class="price">
	        		<?php if( osc_price_enabled_at_items() ) { ?>
	        		<span class="item-price"><?php echo osc_format_price(osc_item_price()); ?></span>
	        		<?php } ?>
	            </div>
        	</div>

            <div class="property-attributes">
            <?php if(!$admin){ ?>
            <?php if (function_exists('realestate_item_detail') && osc_is_this_category('realestate_plugin', osc_item_category_id())) { $detail = ModelRealEstate::newInstance()->getAttributes( osc_item_id() ); ?>
                <?php if(@$detail['i_plot_area'] != null) { ?>
                <span class="area">
                    <i class="fa fa-arrows-alt" aria-hidden="true"></i>
                    <?php printf(__('%s m<sup>2</sup>'), @$detail['i_plot_area']); ?>
                </span>
                <?php } ?>
                <?php if(@$detail['i_num_rooms'] != 0) { ?>
                <span class="beds">
                    <i class="fa fa-bed" aria-hidden="true"></i>
                    <?php printf(__('%s Beds'), @$detail['i_num_rooms']); ?>
                </span>
                <?php } ?>
                <?php if(@$detail['i_num_bathrooms'] != 0) { ?>
                <span class="baths">
                    <i class="fa fa-bath" aria-hidden="true"></i>
                    <?php printf(__('%s Baths'), @$detail['i_num_bathrooms']); ?>
                </span>
                <?php } ?>
                <?php if(@$detail['i_plot_area'] == null && @$detail['i_num_rooms'] == 0 && @$detail['i_num_bathrooms'] == 0) { ?>
                <span class="user">
                    <i class="fa fa-user"></i>
                    <?php if( osc_item_user_id() != null ) { ?>
                    <a href="<?php echo osc_user_public_profile_url( osc_item_user_id() ); ?>" ><?php echo osc_item_contact_name(); ?></a>
                    <?php } else { ?>
                    <?php echo osc_item_contact_name(); ?>
                    <?php } ?>
                </span>
                <?php } ?>
            <?php } else {?>
                <span class="user">
                    <i class="fa fa-user"></i>
                    <?php if( osc_item_user_id() != null ) { ?>
                    <a href="<?php echo osc_user_public_profile_url( osc_item_user_id() ); ?>" ><?php echo osc_item_contact_name(); ?></a>
                    <?php } else { ?>
                    <?php echo osc_item_contact_name(); ?>
                    <?php } ?>
                </span>
            <?php } ?>
            <?php } else { ?>
                <?php //if(osc_item_is_inactive()) {?>
                <span class="admin-active">
                    <i class="fa fa-check"></i>
                    <a href="<?php echo osc_item_activate_url();?>"><?php _e('Active', 'realos'); ?></a>
                </span>
                <?php //} ?>
                <span class="admin-edit">
                    <i class="fa fa-edit"></i>
                    <a href="<?php echo osc_item_edit_url(); ?>"><?php _e('Edit', 'realos'); ?></a>
                </span>
                <span class="admin-delete">
                    <i class="fa fa-times"></i>
                    <a onclick="javascript:return confirm('<?php echo osc_esc_js(__('This action can not be undone. Are you sure you want to continue?', 'realos')); ?>')" href="<?php echo osc_item_delete_url();?>"><?php _e('Delete', 'realos'); ?></a>
                </span>
                <?php if(function_exists("republish_pro_link")) { ?>
                    <span>
                    <?php republish_pro_link(osc_item_id());?>
                    </span>
                <?php } ?>
            <?php } ?>
            </div>

        </div><!-- /Content -->
    </div>
</div>
<?php } ?>