<?php
    // meta tag robots
    osc_add_hook('header','realos_nofollow_construct');

    realos_add_body_class('user user-profile');

    $listClass = 'listview';

    osc_add_hook('left-sidebar','sidebar');
    function sidebar(){
        osc_current_web_theme_path('user-sidebar.php');
    }
    osc_add_filter('meta_title_filter','custom_meta_title');
    function custom_meta_title($data){
        return __('Alerts', 'realos');;
    }
    osc_current_web_theme_path('header.php') ;
    $osc_user = osc_user();
?>

<div class="col-md-9 col-sm-8 col-xs-12">
    <h1 class="primary_title"><?php _e('Alerts', 'realos'); ?></h1>
    <div class="all-items block">
        
    	<?php if(osc_count_alerts() == 0) { ?>
		    <p><?php _e('You do not have any alerts yet', 'realos'); ?>.</p>
		<?php } else { ?>
		    <?php $i = 1; while(osc_has_alerts()) { ?>
                <h4><?php _e('Search', 'realos'); ?> <?php echo $i; ?> <a onclick="javascript:return confirm('<?php echo osc_esc_js(__('This action can\'t be undone. Are you sure you want to continue?', 'realosw')); ?>');" href="<?php echo osc_user_unsubscribe_alert_url(); ?>" class="btn btn-xs btn-primary" role="button"><i class="fa fa-close"></i> <?php _e('Delete', 'realos'); ?></a></h4>
	            <?php 
                View::newInstance()->_exportVariableToView("listClass",$listClass);
                osc_current_web_theme_path('loop.php'); ?>
		    <?php $i++; } ?>
		<?php  } ?>
    </div>
</div>

<?php osc_current_web_theme_path('footer.php'); ?>