<?php
    // meta tag robots
    osc_add_hook('header','realos_nofollow_construct');

    realos_add_body_class('newpassword auth');
    osc_current_web_theme_path('header.php');
?>
<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="form-middle formbig form-forgotpassword">
        <h1 class="primary_title text-center"><?php _e('Create new password', 'realos'); ?></h1>
    	<div class="formbox">
            <form action="<?php echo osc_base_url(true); ?>" method="post" >
                <input type="hidden" name="page" value="login" />
                <input type="hidden" name="action" value="forgot_post" />
                <input type="hidden" name="userId" value="<?php echo osc_esc_html(Params::getParam('userId')); ?>" />
                <input type="hidden" name="code" value="<?php echo osc_esc_html(Params::getParam('code')); ?>" />
                <div class="form-group">
                    <label class="control-label" for="new_password"><?php _e('New password', 'realos'); ?></label>
                    <div class="controls">
                        <input type="password" name="new_password" value="" autocomplete="off" placeholder="<?php echo osc_esc_html(__('Password','realos')); ?>" />
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label" for="new_password2"><?php _e('Repeat new password', 'realos'); ?></label>
                    <div class="controls">
                        <input type="password" name="new_password2" value="" autocomplete="off" placeholder="<?php echo osc_esc_html(__('Re-type password','realos')); ?>" />
                    </div>
                </div>
                <div class="form-group">
                    <div class="controls">
                        <button type="submit" class="btn btn-primary btn-block"><?php _e("Save", 'realos');?></button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<?php osc_current_web_theme_path('footer.php') ; ?>