<?php
// meta tag robots
osc_add_hook('header','realos_nofollow_construct');

realos_add_body_class('user user-items');
osc_add_hook('left-sidebar','sidebar');
function sidebar(){
    osc_current_web_theme_path('user-sidebar.php');
}
osc_current_web_theme_path('header.php') ;

$listClass = 'listview';
$viewMode = 'list';
if(Params::getParam('ShowAs') == 'gallery'){
      $viewMode = 'gallery';
      $listClass = 'galleryview row';
}
?>
<div class="col-md-9 col-sm-8 col-xs-12">
    <h1 class="primary_title"><?php _e('My listings', 'realos'); ?></h1>
    <?php osc_run_hook('search_ads_listing_top'); ?>
    <div class="all-items">
        <?php if(osc_count_items() >= 1) { ?>
        <div class="searchbar clearfix">
            <div class="viewMode pull-right">
                <a title="<?php echo osc_esc_html(__('List', 'realos')); ?>" href="<?php echo osc_user_list_items_url(); ?>?ShowAs=list" <?php if ($viewMode == 'list') { ?>class="active"<?php } ?>><i class="fa fa-th-list"></i></a>
                <a title="<?php echo osc_esc_html(__('Gallery', 'realos')); ?>" href="<?php echo osc_user_list_items_url(); ?>?ShowAs=gallery" <?php if ($viewMode == 'gallery') { ?>class="active"<?php } ?>><i class="fa fa-th-large"></i></a>
            </div><!-- /Viewmode -->
        </div>
        <?php } ?>
        <?php if(osc_count_items() == 0) { ?>
            <p class="empty"><?php _e('No listings have been added yet', 'realos'); ?></p>
        <?php } else { ?>
            <?php
                View::newInstance()->_exportVariableToView("listClass",$listClass);
                View::newInstance()->_exportVariableToView("listAdmin", true);
                osc_current_web_theme_path('loop.php');
            ?>
        <?php } ?>
        <div class="pagination <?php if ($viewMode == 'gallery') { echo 'gallery-view-pagination'; } ?>">
            <?php echo osc_pagination_items(); ?>
        </div>
    </div>
</div>

<?php osc_current_web_theme_path('footer.php') ; ?>
