<?php
    // meta tag robots
    osc_add_hook('header','realos_nofollow_construct');

    realos_add_body_class('login auth');
    osc_current_web_theme_path('header.php');
?>

<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="form-middle formbig form-login">
        <h1 class="primary_title text-center"><?php _e('Access to your account', 'realos') ; ?></h1>
        <div class="formbox">
        <form action="<?php echo osc_base_url(true); ?>" method="post" >
            <input type="hidden" name="page" value="login" />
            <input type="hidden" name="action" value="login_post" />
            <div class="form-group">
                <label class="control-label" for="email"><?php _e('E-mail', 'realos'); ?></label>
                <div class="controls">
                    <?php //UserForm::email_login_text(); ?>
                    <input id="email" name="email" value="" type="text" placeholder="<?php echo osc_esc_html(__('email@website.com','realos')); ?>">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label" for="password"><?php _e('Password', 'realos'); ?></label>
                <div class="controls">
                	<?php //UserForm::password_login_text(); ?>
                    <input id="password" name="password" value="" autocomplete="off" type="password" placeholder="<?php echo osc_esc_html(__('Password','realos')); ?>">
                </div>
            </div>
            <div class="form-group">
                <div class="controls checkbox">
                    <label for="remember"><?php UserForm::rememberme_login_checkbox();?> <?php _e('Remember me', 'realos'); ?></label>
                </div>
            </div>
            <div class="form-group">
                <div class="controls">
                    <button type="submit" class="btn btn-primary btn-block"><?php _e("Log in", 'realos');?></button>
                </div>
            </div>
            <div class="form-group" style="margin-bottom:20px; text-align:center;">
                <a href="<?php echo osc_recover_user_password_url(); ?>"><?php _e("Forgot password?", 'realos'); ?></a>
            </div>
        </form>
        </div><!-- /Formbox -->
        <div class="formlinks">
            <?php printf(__('Don\'t have an account yet? <a href="%s">Register</a>','realos'),osc_register_account_url());?>
        </div>
    </div>
</div>
<?php osc_current_web_theme_path('footer.php') ; ?>