<?php
    // meta tag robots
    osc_add_hook('header','realos_nofollow_construct');

    realos_add_body_class('register auth');
    osc_enqueue_script('jquery-validate');
    osc_current_web_theme_path('header.php') ;
?>
<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="form-middle formbig form-register">
        <h1 class="primary_title text-center"><?php _e('Create an account', 'realos'); ?></h1>
    	<div class="formbox">
         <form name="register" action="<?php echo osc_base_url(true); ?>" method="post" >
            <input type="hidden" name="page" value="register" />
            <input type="hidden" name="action" value="register_post" />
            <ul id="error_list"></ul>
            <div class="form-group">
                <label class="control-label" for="name"><?php _e('Name', 'realos'); ?></label>
                <div class="controls">
                    <?php //UserForm::name_text(); ?>
                    <input id="s_name" name="s_name" value="" type="text" placeholder="<?php echo osc_esc_html(__('Your name','realos')); ?>">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label" for="email"><?php _e('E-mail', 'realos'); ?></label>
                <div class="controls">
                    <?php //UserForm::email_text(); ?>
                    <input id="s_email" name="s_email" value="" type="text" placeholder="<?php echo osc_esc_html(__('email@website.com','realos')); ?>">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label" for="password"><?php _e('Password', 'realos'); ?></label>
                <div class="controls">
                    <?php //UserForm::password_text(); ?>
                    <input id="s_password" name="s_password" value="" autocomplete="off" type="password" placeholder="<?php echo osc_esc_html(__('Password','realos')); ?>">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label" for="password-2"><?php _e('Confirm password', 'realos'); ?></label>
                <div class="controls">
                    <?php //UserForm::check_password_text(); ?>
                    <input id="s_password2" name="s_password2" value="" autocomplete="off" type="password" placeholder="<?php echo osc_esc_html(__('Re-type password','realos')); ?>">
                    <p id="password-error" style="display:none;">
                        <?php _e("Passwords don't match", 'realos'); ?>
                    </p>
                </div>
            </div>
            <?php osc_run_hook('user_register_form'); ?>
            <div class="form-group">
                <div class="controls">
                    <?php osc_show_recaptcha('register'); ?>
                </div>
            </div>
            <button type="submit" class="btn btn-primary btn-block"><?php _e("Register", 'realos'); ?></button>
        </form>
        </div><!-- /Formbox -->
        <div class="formlinks">
            <?php printf(__('Already have an account? <a href="%s">Login</a>','realos'),osc_user_login_url());?>
        </div>
    </div>
</div>
<?php UserForm::js_validation(); ?>
<?php osc_current_web_theme_path('footer.php') ; ?>