<?php if ( (!defined('ABS_PATH')) ) exit('ABS_PATH is not loaded. Direct access is not allowed.'); ?>
<?php if ( !OC_ADMIN ) exit('User access is not allowed.'); ?>
<link rel="stylesheet" type="text/css" href="<?php echo osc_current_web_theme_url('admin/realos_admin.css'); ?>">
<style type="text/css" media="screen">
    .command { background-color: white; color: #2E2E2E; border: 1px solid black; padding: 8px; }
    .theme-files { min-width: 500px; }
</style>
<?php
$banner1_preference = osc_get_preference('banner1', 'realos');
$banner2_preference = osc_get_preference('banner2', 'realos');
$banner3_preference = osc_get_preference('banner3', 'realos');
$banner4_preference = osc_get_preference('banner4', 'realos');
$banner5_preference = osc_get_preference('banner5', 'realos');
?>

<h2 class="render-title"><?php _e('Featured Locations','realos'); ?></h2>
    
<?php if( is_writable( osc_uploads_path()) ) { ?>
<fieldset>
    <h3><?php _e('Location','realos'); ?> 1</h3>
    <form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/locations.php'); ?>" method="post" enctype="multipart/form-data" class="nocsrf">
        <input type="hidden" name="action_specific" value="upload_banner1" />
        <fieldset>
            <div class="form-horizontal">
                <div class="form-row">
                    <div class="form-label"><?php _e('City name', 'realos'); ?></div>
                    <div class="form-controls">
                    <input type="text" class="xlarge" name="city_1" id="city_1" value="<?php echo osc_esc_html( osc_get_preference('city_1', 'realos') ); ?>" placeholder="<?php echo osc_esc_html(__('City Name','realos')); ?>">
                    <input type="hidden" name="city_1_linkto" id="city_1_linkto" value="<?php echo osc_esc_html( osc_get_preference('city_1_linkto', 'realos') ); ?>">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-label"><?php _e('City background','realos'); ?></div>
                    <div class="form-controls">
                        <?php if($banner1_preference) { ?>
                            <img src="<?php echo locationbanner1_url().'?'.filemtime(osc_uploads_path() . osc_get_preference('banner1','realos_theme'));?>" width="100" />
                            <form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/locations.php');?>" method="post" enctype="multipart/form-data" class="nocsrf">
                            <input type="hidden" name="action_specific" value="remove_banner1" />
                            <button type="submit" class="btn btn-red"><?php _e('X','realos'); ?></button>
                            </form><br>
                        <?php } ?>
                        <input type="file" name="banner1" id="banner1" /><br><br>
                        <button type="submit" class="btn btn-submit"><?php echo osc_esc_html(__('Save','realos')); ?></button>
                    </div>
                </div>
            </div>
        </fieldset>
    </form>

    <h3><?php _e('Location','realos'); ?> 2</h3>
    <form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/locations.php'); ?>" method="post" enctype="multipart/form-data" class="nocsrf">
        <input type="hidden" name="action_specific" value="upload_banner2" />
        <fieldset>
            <div class="form-horizontal">
                <div class="form-row">
                    <div class="form-label"><?php _e('City name', 'realos'); ?></div>
                    <div class="form-controls">
                    <input type="text" class="xlarge" name="city_2" id="city_2" value="<?php echo osc_esc_html( osc_get_preference('city_2', 'realos') ); ?>" placeholder="<?php echo osc_esc_html(__('City Name','realos')); ?>">
                    <input type="hidden" name="city_2_linkto" id="city_2_linkto" value="<?php echo osc_esc_html( osc_get_preference('city_2_linkto', 'realos') ); ?>">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-label"><?php _e('City background','realos'); ?></div>
                    <div class="form-controls">
                        <?php if($banner2_preference) { ?>
                            <img src="<?php echo locationbanner2_url().'?'.filemtime(osc_uploads_path() . osc_get_preference('banner2','realos_theme'));?>" width="100" />
                            <form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/locations.php');?>" method="post" enctype="multipart/form-data" class="nocsrf">
                            <input type="hidden" name="action_specific" value="remove_banner2" />
                            <button type="submit" class="btn btn-red"><?php _e('X','realos'); ?></button>
                            </form><br>
                        <?php } ?>
                        <input type="file" name="banner2" id="banner2" /><br><br>
                        <button type="submit" class="btn btn-submit"><?php echo osc_esc_html(__('Save','realos')); ?></button>
                    </div>
                </div>
            </div>
        </fieldset>
    </form>

    <h3><?php _e('Location','realos'); ?> 3</h3>
    <form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/locations.php'); ?>" method="post" enctype="multipart/form-data" class="nocsrf">
        <input type="hidden" name="action_specific" value="upload_banner3" />
        <fieldset>
            <div class="form-horizontal">
                <div class="form-row">
                    <div class="form-label"><?php _e('City name', 'realos'); ?></div>
                    <div class="form-controls">
                    <input type="text" class="xlarge" name="city_3" id="city_3" value="<?php echo osc_esc_html( osc_get_preference('city_3', 'realos') ); ?>" placeholder="<?php echo osc_esc_html(__('City Name','realos')); ?>">
                    <input type="hidden" name="city_3_linkto" id="city_3_linkto" value="<?php echo osc_esc_html( osc_get_preference('city_3_linkto', 'realos') ); ?>">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-label"><?php _e('City background','realos'); ?></div>
                    <div class="form-controls">
                        <?php if($banner3_preference) { ?>
                            <img src="<?php echo locationbanner3_url().'?'.filemtime(osc_uploads_path() . osc_get_preference('banner3','realos_theme'));?>" width="100" />
                            <form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/locations.php');?>" method="post" enctype="multipart/form-data" class="nocsrf">
                            <input type="hidden" name="action_specific" value="remove_banner3" />
                            <button type="submit" class="btn btn-red"><?php _e('X','realos'); ?></button>
                            </form><br>
                        <?php } ?>
                        <input type="file" name="banner3" id="banner3" /><br><br>
                        <button type="submit" class="btn btn-submit"><?php echo osc_esc_html(__('Save','realos')); ?></button>
                    </div>
                </div>
            </div>
        </fieldset>
    </form>

    <h3><?php _e('Location','realos'); ?> 4</h3>
    <form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/locations.php'); ?>" method="post" enctype="multipart/form-data" class="nocsrf">
        <input type="hidden" name="action_specific" value="upload_banner4" />
        <fieldset>
            <div class="form-horizontal">
                <div class="form-row">
                    <div class="form-label"><?php _e('City name', 'realos'); ?></div>
                    <div class="form-controls">
                    <input type="text" class="xlarge" name="city_4" id="city_4" value="<?php echo osc_esc_html( osc_get_preference('city_4', 'realos') ); ?>" placeholder="<?php echo osc_esc_html(__('City Name','realos')); ?>">
                    <input type="hidden" name="city_4_linkto" id="city_4_linkto" value="<?php echo osc_esc_html( osc_get_preference('city_4_linkto', 'realos') ); ?>">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-label"><?php _e('City background','realos'); ?></div>
                    <div class="form-controls">
                        <?php if($banner4_preference) { ?>
                            <?php echo locationbanner4_url(); ?>
                            <img src="<?php echo locationbanner4_url().'?'.filemtime(osc_uploads_path() . osc_get_preference('banner4','realos_theme'));?>" width="100" />
                            <form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/locations.php');?>" method="post" enctype="multipart/form-data" class="nocsrf">
                            <input type="hidden" name="action_specific" value="remove_banner4" />
                            <button type="submit" class="btn btn-red"><?php _e('X','realos'); ?></button>
                            </form><br>
                        <?php } ?>
                        <input type="file" name="banner4" id="banner4" /><br><br>
                        <button type="submit" class="btn btn-submit"><?php echo osc_esc_html(__('Save','realos')); ?></button>
                    </div>
                </div>
            </div>
        </fieldset>
    </form>

    <h3><?php _e('Location','realos'); ?> 5</h3>
    <form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/locations.php'); ?>" method="post" enctype="multipart/form-data" class="nocsrf">
        <input type="hidden" name="action_specific" value="upload_banner5" />
        <fieldset>
            <div class="form-horizontal">
                <div class="form-row">
                    <div class="form-label"><?php _e('City name', 'realos'); ?></div>
                    <div class="form-controls">
                    <input type="text" class="xlarge" name="city_5" id="city_5" value="<?php echo osc_esc_html( osc_get_preference('city_5', 'realos') ); ?>" placeholder="<?php echo osc_esc_html(__('City Name','realos')); ?>">
                    <input type="hidden" name="city_5_linkto" id="city_5_linkto" value="<?php echo osc_esc_html( osc_get_preference('city_5_linkto', 'realos') ); ?>">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-label"><?php _e('City background','realos'); ?></div>
                    <div class="form-controls">
                        <?php if($banner5_preference) { ?>
                            <img src="<?php echo locationbanner5_url().'?'.filemtime(osc_uploads_path() . osc_get_preference('banner5','realos_theme'));?>" width="100" />
                            <form action="<?php echo osc_admin_render_theme_url('oc-content/themes/realos/admin/locations.php');?>" method="post" enctype="multipart/form-data" class="nocsrf">
                            <input type="hidden" name="action_specific" value="remove_banner5" />
                            <button type="submit" class="btn btn-red"><?php _e('X','realos'); ?></button>
                            </form><br>
                        <?php } ?>
                        <input type="file" name="banner5" id="banner5" /><br><br>
                        <button type="submit" class="btn btn-submit"><?php echo osc_esc_html(__('Save','realos')); ?></button>
                    </div>
                </div>
            </div>
        </fieldset>
    </form>

</fieldset>

<?php } else { ?>

    <div class="flashmessage flashmessage-error" style="display: block;">
        <p>
            <?php
                $msg  = sprintf(__('The images folder <strong>%s</strong> is not writable on your server', 'realos'), WebThemes::newInstance()->getCurrentThemePath() ."images/" ) .", ";
                $msg .= __("Can't upload the banners from the administration panel.", 'realos') . ' ';
                $msg .= __('Please make the aforementioned image folder writable.', 'realos') . ' ';
                echo $msg;
            ?>
        </p>
        <p>
            <?php _e('To make a directory writable under UNIX execute this command from the shell:','realos'); ?>
        </p>
        <p class="command">
            chmod a+w <?php echo WebThemes::newInstance()->getCurrentThemePath() ."images/"; ?>
        </p>
    </div>

<?php } ?>

<script type="text/javascript">
    $(document).ready(function(){
        // Location 1
        $('#city_1').attr( "autocomplete", "off" );
        $('#city_1_linkto').change(function(){
          $('#city_1').val('');
        });
        function log( message ) {
          $( "<div/>" ).text( message ).prependTo( "#log" );
          $( "#log" ).attr( "scrollTop", 0 );
        } 
        $('#city_1').on('keyup.autocomplete', function(){
          $('#city_1_linkto').val('');
          $( this ).autocomplete({
              source: "<?php echo osc_base_url(true); ?>?page=ajax&action=location",
              minLength: 2,
              select: function( event, ui ) {
                  $('#city_1_linkto').val(ui.item.id);
              }
          });
        });

        // Location 2
        $('#city_2').attr( "autocomplete", "off" );
        $('#city_2_linkto').change(function(){
          $('#city_2').val('');
        });
        function log( message ) {
          $( "<div/>" ).text( message ).prependTo( "#log" );
          $( "#log" ).attr( "scrollTop", 0 );
        } 
        $('#city_2').on('keyup.autocomplete', function(){
          $('#city_2_linkto').val('');
          $( this ).autocomplete({
              source: "<?php echo osc_base_url(true); ?>?page=ajax&action=location",
              minLength: 2,
              select: function( event, ui ) {
                  $('#city_2_linkto').val(ui.item.id);
              }
          });
        });

        // Location 3
        $('#city_3').attr( "autocomplete", "off" );
        $('#city_3_linkto').change(function(){
          $('#city_1').val('');
        });
        function log( message ) {
          $( "<div/>" ).text( message ).prependTo( "#log" );
          $( "#log" ).attr( "scrollTop", 0 );
        } 
        $('#city_3').on('keyup.autocomplete', function(){
          $('#city_3_linkto').val('');
          $( this ).autocomplete({
              source: "<?php echo osc_base_url(true); ?>?page=ajax&action=location",
              minLength: 2,
              select: function( event, ui ) {
                  $('#city_3_linkto').val(ui.item.id);
              }
          });
        });

        // Location 4
        $('#city_4').attr( "autocomplete", "off" );
        $('#city_4_linkto').change(function(){
          $('#city_4').val('');
        });
        function log( message ) {
          $( "<div/>" ).text( message ).prependTo( "#log" );
          $( "#log" ).attr( "scrollTop", 0 );
        } 
        $('#city_4').on('keyup.autocomplete', function(){
          $('#city_4_linkto').val('');
          $( this ).autocomplete({
              source: "<?php echo osc_base_url(true); ?>?page=ajax&action=location",
              minLength: 2,
              select: function( event, ui ) {
                  $('#city_4_linkto').val(ui.item.id);
              }
          });
        });

        // Location 5
        $('#city_5').attr( "autocomplete", "off" );
        $('#city_5_linkto').change(function(){
          $('#city_5').val('');
        });
        function log( message ) {
          $( "<div/>" ).text( message ).prependTo( "#log" );
          $( "#log" ).attr( "scrollTop", 0 );
        } 
        $('#city_5').on('keyup.autocomplete', function(){
          $('#city_5_linkto').val('');
          $( this ).autocomplete({
              source: "<?php echo osc_base_url(true); ?>?page=ajax&action=location",
              minLength: 2,
              select: function( event, ui ) {
                  $('#city_5_linkto').val(ui.item.id);
              }
          });
        });

      $('.ui-autocomplete').css('zIndex', 10000);

    });
</script>
    