<?php 
$viewMode = 'list';
if(realos_show_as() == 'gallery'){
    $viewMode = 'gallery';
}
if(Params::getParam('ShowAs') == 'gallery') {
    $viewMode = 'gallery';
}
$size = explode('x', osc_thumbnail_dimensions()); ?>

<?php
if ($viewMode == 'list') { ?>
<div class="<?php osc_run_hook("highlight_class"); ?>listing col-md-12 col-xs-12 clearfix <?php echo $class; if(osc_item_is_premium()){ echo ' premium'; } ?>">
    <div class="item clearfix">
        <div class="picture">
        <?php if( osc_images_enabled_at_items() ) { ?>
            <?php if(osc_count_premium_resources()) { ?>
        <a class="listing-thumb" href="<?php echo osc_premium_url() ; ?>" title="<?php echo osc_esc_html(osc_premium_title()) ; ?>"><img src="<?php echo osc_resource_preview_url(); ?>" alt="<?php echo osc_esc_html(osc_premium_title()) ; ?>" width="<?php echo $size[0]; ?>" height="<?php echo $size[1]; ?>"></a>
            <?php } else { ?>
                <a class="listing-thumb" href="<?php echo osc_premium_url() ; ?>" title="<?php echo osc_esc_html(osc_premium_title()) ; ?>"><img src="<?php echo osc_current_web_theme_url('images/no_photo.gif'); ?>" alt="<?php echo osc_esc_html(osc_premium_title()) ; ?>" class="img-responsive"></a>
            <?php } ?>
        <?php } ?>
        </div><!-- /Picture -->
        <div class="content">
            <div class="item-attributes">
                <div class="premium-icon" data-toggle="tooltip" data-placement="bottom" title="<?php echo osc_esc_html(__('Premium','realos')); ?>"><i class="fa fa-diamond fa-lg"></i></div>
                <h3><a href="<?php echo osc_premium_url() ; ?>" title="<?php echo osc_esc_html(osc_premium_title()) ; ?>"><?php echo osc_premium_title(); ?></a></h3>
                    <?php if (function_exists('realestate_item_detail') && osc_is_this_category('realestate_plugin', osc_premium_category_id())) { $detail = ModelRealEstate::newInstance()->getAttributes( osc_premium_id() ); 
                        if(@$detail['e_type'] != null) { ?>
                    <span class="offertype"> <?php if(@$detail['e_type'] == 'FOR RENT') { echo 'For Rent'; } else { echo 'For Sale'; } ?></span> / 
                    <?php }
                    } else { ?>
                    <span class="date"><?php echo osc_format_date(osc_premium_pub_date()); ?></span> / 
                    <?php } ?> 
                    <span class="category"><?php echo osc_premium_category() ; ?></span> / 
                    <span class="location">
                    <?php if( osc_premium_city()!='' ) {
                        echo osc_premium_city();
                    } else if( osc_premium_region()!='' ) { 
                        echo osc_premium_region();
                    } else {
                        echo osc_premium_country();
                    } ?></span>
                
                <div class="short-description hidden-xs"><?php echo osc_highlight( osc_premium_description() ,160) ; ?></div>
                
                <div class="price">
                    <?php if( osc_price_enabled_at_items() ) { ?>
                    <span class="item-price"><?php echo osc_format_premium_price(); ?></span>
                    <?php } ?>
                </div>
            </div>

            <div class="property-attributes">
            <?php if (function_exists('realestate_item_detail') && osc_is_this_category('realestate_plugin', osc_premium_category_id())) { 
                $detail = ModelRealEstate::newInstance()->getAttributes( osc_premium_id() ); ?>
                <?php if(@$detail['i_plot_area'] != null) { ?>
                <span class="area">
                    <i class="fa fa-arrows-alt" aria-hidden="true"></i>
                    <?php printf(__('%s m<sup>2</sup>'), @$detail['i_plot_area']); ?>
                </span>
                <?php } ?>
                <?php if(@$detail['i_num_rooms'] != 0) { ?>
                <span class="beds">
                    <i class="fa fa-bed" aria-hidden="true"></i>
                    <?php printf(__('%s Beds'), @$detail['i_num_rooms']); ?>
                </span>
                <?php } ?>
                <?php if(@$detail['i_num_bathrooms'] != 0) { ?>
                <span class="baths">
                    <i class="fa fa-bath" aria-hidden="true"></i>
                    <?php printf(__('%s Baths'), @$detail['i_num_bathrooms']); ?>
                </span>
                <?php } ?>
                <?php if(@$detail['i_plot_area'] == null && @$detail['i_num_rooms'] == 0 && @$detail['i_num_bathrooms'] == 0) { ?>
                <span class="user">
                    <i class="fa fa-user"></i>
                    <?php if( osc_premium_user_id() != null ) { ?>
                    <a href="<?php echo osc_user_public_profile_url( osc_premium_user_id() ); ?>" ><?php echo osc_premium_contact_name(); ?></a>
                    <?php } else { ?>
                    <?php echo osc_premium_contact_name(); ?>
                    <?php } ?>
                </span>
                <?php } else { ?>
                <span class="user">
                    <i class="fa fa-user"></i>
                    <?php if( osc_premium_user_id() != null ) { ?>
                    <a href="<?php echo osc_user_public_profile_url( osc_premium_user_id() ); ?>" ><?php echo osc_premium_contact_name(); ?></a>
                    <?php } else { ?>
                    <?php echo osc_premium_contact_name(); ?>
                    <?php } ?>
                </span>
                <?php } ?>
            <?php } else { ?>
                <span class="user">
                    <i class="fa fa-user"></i>
                    <?php if( osc_premium_user_id() != null ) { ?>
                    <a href="<?php echo osc_user_public_profile_url( osc_premium_user_id() ); ?>" ><?php echo osc_premium_contact_name(); ?></a>
                    <?php } else { ?>
                    <?php echo osc_premium_contact_name(); ?>
                    <?php } ?>
                </span>
            <?php } ?>
            </div>
            
        </div> <!-- /Content -->
    </div>
</div>
<?php } else { ?>
<div class="<?php osc_run_hook("highlight_class"); ?>listing <?php if(osc_is_home_page()) { echo "col-md-3"; } else { echo "col-md-4"; } ?> col-sm-6 <?php echo $class; if(osc_item_is_premium()){ echo ' premium'; } ?>">
    <div class="item">
        <div class="picture">
        <?php if( osc_images_enabled_at_items() ) { ?>
            <?php if(osc_count_premium_resources()) { ?>
        <a class="listing-thumb" href="<?php echo osc_premium_url() ; ?>" title="<?php echo osc_esc_html(osc_premium_title()) ; ?>"><img src="<?php echo osc_resource_preview_url(); ?>" alt="<?php echo osc_esc_html(osc_premium_title()) ; ?>" width="<?php echo $size[0]; ?>" height="<?php echo $size[1]; ?>"></a>
            <?php } else { ?>
                <a class="listing-thumb" href="<?php echo osc_premium_url() ; ?>" title="<?php echo osc_esc_html(osc_premium_title()) ; ?>"><img src="<?php echo osc_current_web_theme_url('images/no_photo.gif'); ?>" alt="<?php echo osc_esc_html(osc_premium_title()) ; ?>" class="img-responsive" width="<?php echo $size[0]; ?>" height="<?php echo $size[1]; ?>"></a>
            <?php } ?>
        <?php } ?>
        </div><!-- /Picture -->
        <div class="content">
            <div class="item-attributes">
                <div class="premium-icon" data-toggle="tooltip" data-placement="bottom" title="<?php echo osc_esc_html(__('Premium','realos')); ?>"><i class="fa fa-diamond fa-lg"></i></div>
                <h3><a href="<?php echo osc_premium_url() ; ?>" title="<?php echo osc_esc_html(osc_premium_title()) ; ?>"><?php echo osc_premium_title(); ?></a></h3>
                        <?php if (function_exists('realestate_item_detail') && osc_is_this_category('realestate_plugin', osc_premium_category_id())) { $detail = ModelRealEstate::newInstance()->getAttributes( osc_premium_id() ); 
                            if(@$detail['e_type'] != null) { ?>
                        <span class="offertype"> <?php if(@$detail['e_type'] == 'FOR RENT') { echo 'For Rent'; } else { echo 'For Sale'; } ?></span> / 
                        <?php }
                        } ?>
                        <span class="category"><?php echo osc_premium_category() ; ?></span> /
                        <span class="location">
                        <?php if( osc_premium_city()!='' ) {
                            echo osc_premium_city();
                        } else if( osc_premium_region()!='' ) { 
                            echo osc_premium_region();
                        } else {
                            echo osc_premium_country();
                        } ?></span>

                <div class="price">
                    <?php if( osc_price_enabled_at_items() ) { ?>
                    <span class="item-price"><?php echo osc_format_premium_price(); ?></span>
                    <?php } ?>
                </div>
            </div>  
            <?php if($admin){ ?>
                <div class="admin-options text-center" style="margin-bottom: 5px;">
                    <a href="<?php echo osc_premium_edit_url(); ?>" rel="nofollow" class="btn btn-xs btn-warning" title="<?php osc_esc_html(__('Edit', 'realos')); ?>"><i class="fa fa-pencil"></i></a>
                    <a onclick="javascript:return confirm('<?php echo osc_esc_js(__('This action can not be undone. Are you sure you want to continue?', 'realos')); ?>')" href="<?php echo osc_premium_delete_url();?>" class="btn btn-xs btn-danger" title="<?php osc_esc_html(__('Delete', 'realos')); ?>"><i class="fa fa-trash-o"></i></a>
                    <?php if(osc_premium_is_inactive()) {?>
                    <a href="<?php echo osc_premium_activate_url();?>" class="btn btn-xs btn-success" title="<?php osc_esc_html(__('Activate', 'realos')); ?>"><i class="fa fa-check"></i></a>
                    <?php } ?>
                    <?php if(function_exists("republish_pro_link")) { republish_pro_link(osc_premium_id()); } ?>
                </div>
            <?php } ?>

            <div class="property-attributes">
            <?php if (function_exists('realestate_item_detail') && osc_is_this_category('realestate_plugin', osc_premium_category_id())) { $detail = ModelRealEstate::newInstance()->getAttributes( osc_premium_id() ); ?>
                <?php if(@$detail['i_plot_area'] != null) { ?>
                <span class="area">
                    <i class="fa fa-arrows-alt" aria-hidden="true"></i>
                    <?php printf(__('%s m<sup>2</sup>'), @$detail['i_plot_area']); ?>
                </span>
                <?php } ?>
                <?php if(@$detail['i_num_rooms'] != 0) { ?>
                <span class="beds">
                    <i class="fa fa-bed" aria-hidden="true"></i>
                    <?php printf(__('%s Beds'), @$detail['i_num_rooms']); ?>
                </span>
                <?php } ?>
                <?php if(@$detail['i_num_bathrooms'] != 0) { ?>
                <span class="baths">
                    <i class="fa fa-bath" aria-hidden="true"></i>
                    <?php printf(__('%s Baths'), @$detail['i_num_bathrooms']); ?>
                </span>
                <?php } ?>
            
                <?php if(@$detail['i_plot_area'] == null && @$detail['i_num_rooms'] == 0 && @$detail['i_num_bathrooms'] == 0) { ?>
                <span class="user">
                    <i class="fa fa-user"></i>
                    <?php if( osc_premium_user_id() != null ) { ?>
                    <a href="<?php echo osc_user_public_profile_url( osc_premium_user_id() ); ?>" ><?php echo osc_premium_contact_name(); ?></a>
                    <?php } else { ?>
                    <?php echo osc_premium_contact_name(); ?>
                    <?php } ?>
                </span>
                <?php } ?>
            <?php } else {?>
                <span class="user">
                    <i class="fa fa-user"></i>
                    <?php if( osc_premium_user_id() != null ) { ?>
                    <a href="<?php echo osc_user_public_profile_url( osc_premium_user_id() ); ?>" ><?php echo osc_premium_contact_name(); ?></a>
                    <?php } else { ?>
                    <?php echo osc_premium_contact_name(); ?>
                    <?php } ?>
                </span>
            <?php } ?>
            </div>

        </div><!-- /Content -->
    </div>
</div>
<?php }?>